<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  let color = "darkred";
 

  let currentIndex = index - 1;
	
  const interval = setInterval(circleSelection, 1000);
	function stopInterval() {clearInterval(interval);}
	
	// Index function
  function circleSelection() {
    if (currentIndex == -1) {stopInterval();}
    currentIndex--;}

$: color = currentIndex == -2 ? "darkgreen" : color;
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
    {#each points as point, i }
      <circle cx={point} cy={innerHeight/2} r=10 fill={color}
      opacity={i > currentIndex ? 1 : 0.3} />
    {/each}
  </g>
</svg>
